﻿namespace TabbedProxySample
{
    public class ProxyConfig
    {
        public string IpAddress { get; }
        public int Port { get; }

        public bool IsAuthRequired { get; }

        public string Username { get; }
        public string Password { get; }

        public ProxyConfig(string ipAddress, int port, bool isAuthRequired = false, string username = "",
            string password = "")
        {
            IpAddress = ipAddress;
            Port = port;
            IsAuthRequired = isAuthRequired;
            Username = username;
            Password = password;
        }

        public override string ToString()
        {
            return string.Format("{0}:{1}", IpAddress, Port);
        }
    }
}
