﻿using DotNetBrowser;

namespace TabbedProxySample
{
    public class ProxyNetworkDelegate : DefaultNetworkDelegate
    {
        private string user;
        private string password;

        public ProxyNetworkDelegate(string user, string password)
        {
            this.user = user;
            this.password = password;
        }

        public override bool OnAuthRequired(AuthRequiredParams parameters)
        {
            if (parameters.IsProxy)
            {
                parameters.Username = user;
                parameters.Password = password;
            }

            return false;
        }
    }
}
